Description

Hi !

When duplicating spatialite layers using the "Duplicate layer" command from the contextual menu, it takes sometimes up to 10 seconds

for the duplicate to appear in the layer list.

It seem to happen especially when the project is complex (lots of layers) and open since some time (the problem does not appear on a

freshly opened file).

I'll try to be more precise, but the bug is not that easy to reproduce (still, it happened to me often).

First consequence : since there is absolutely no feedback during that time, the user can be tempted to run the command again or

conclude the function does not work.

Second consequence : under certain conditions (for instance if you close the project between running the command and it's effect), QGIS

crashes (with "minidump dumped to...").

I'm not sure if it's the same issue, but when using the "add to canvas" command from the DBManager, the same delay sometimes

occurs...

Thanks !

History

#1 - 2014-01-20 02:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version set to Future Release - High Priority

I'm not able to replicate, it would be possible to attach sample data/project?

#2 - 2014-04-24 12:58 AM - Regis Haubourg

Hi, I confirm the issue. It occurs for large projects only after having worked for a while. 

Really hard to reproduce but occurs every time you make production work as always ;-)  .. 

it also affects plugin menu layer form project that adds layers to a project. adding raw data from file or database is fast..

#3 - 2014-04-25 02:00 AM - Paolo Cavallini
Can it be Yet Another incarnation of the problem of changing SpatiaLite version? The behaviour has changed, and now it is advisable not to insert

individual records, but use transactions instead.

#4 - 2015-12-21 05:42 AM - Giovanni Manghi

what is the status of this issue? I can't replicate even with large projects. Can a sample project and data be shared? Please leave feedback.

#5 - 2016-01-06 11:50 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback and because I cannot replicate with recent releases, but please reopen if still true (and attaching project and data to allow us

replicate). Cheers!
